Subject: Re: [PATCH 1/1] MyFirstContribution: configure shallow threads for git format-patch

From: Junio C Hamano <[email-masked]>
Date: Sat, 09 Dec 2023 03:06:27 +0900

Stan Hu <[email-masked]> writes:

> +[[configure-shallow-threads]]
> +=== Configuring shallow threads for `git format-patch`
> +
> +It is common practice on the Git mailing list to use "shallow" threads,
> +where every mail is a reply to the first mail of the series. You can
> +configure the default threading style of `git format-patch` via:
> +
> +-----
> +$ git config format.thread shallow
> +----

Hmph, I do not think I have such an option defined, yet I send out
my series as "shallow" threads.  I think the new description is
somewhat misleading as-is.  Isn't it applicable ONLY to those who
let "format-patch" decide the message ID for patches?  If the user
lets "git send-email" assign the message IDs (and hence the thread
structure), the configuration variable would not apply, no?